/v1/keys/{custodian}/{epoch}/declare-lost
POST
/v1/keys/{custodian}/{epoch}/declare-lost
const url = 'https://api.reindeer.example.tr/v1/keys/primary/1/declare-lost';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.reindeer.example.tr/v1/keys/primary/1/declare-lost \ --header 'Authorization: Bearer <token>'Scope keys:admin, fresh step-up. Only for keys the custodian reports missing; needs an approver.
Authorizations
Bölüm başlığı “Authorizations”Parameters
Bölüm başlığı “Parameters”Path Parameters
Bölüm başlığı “Path Parameters”custodian
required
string
epoch
required
integer
Responses
Bölüm başlığı “Responses”Approval waiting for a second person
Media typeapplication/json
object
approval
object
id
string
kind
string
summary
string
requested_by
string
requested_at
string format: date-time
not_before
string format: date-time
expires_at
string format: date-time
state
string
controllers
Everyone who controlled the requester when the request was made: the issuers of its codes, the person who requested a machine, and their controllers in turn
Array<string>
cool_off_seconds
integer
decided_by
string
decided_at
string format: date-time
cancelled_by
string
cancelled_at
string format: date-time
result
object
Example
{ "approval": { "kind": "identity.create", "state": "pending" }}